/* The LinTalk Project
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//#define _DEBUG_
//#define _DEBUG_EXCESSIVE_

#include "users.h"
#include "groups.h"
#include "banlist.h"

#ifndef HAVE_GLOBALS_H
#define HAVE_GLOBALS_H

#define QLEN 10                    /* Size of request queue. */
#define LINTALK_PORT 7777          /* The default port for our server to listen on. */
#define MAXWINDOWS 10              /* The maximum number of open "Talk" windows. */
#define GUI_UPDATE_INTERVAL 400    /* The GUI update interval in ms. */
#define POLLSLEEP 60               /* Polling interval in seconds. */


typedef struct {
  int serversd;             /* The servers socket descriptor. */
  int version;              /* Configfile version. */
  short int shutdown;       /* When this is 1, the program will shut down. */
  User local;               /* Your own user profile. */
  GList *icons;             /* The list of available icons. */
  GList *users;             /* A list of all remote users. */
  GList *groups;            /* A list of all existing groups. */
  Banlist *banlist;         /* A list of banned IP addresses. */
} Cfg;

typedef struct {
  GtkWidget *lintalk;           /* The mainwindow (contactlist). */
  GtkWidget *talk[MAXWINDOWS];  /* The "Talk" windows. */
  GtkWidget *preferences;       /* The "Preferences" window. */
  GtkWidget *prefcont;          /* The "Preferences" window content. */
  GtkWidget *newuser;           /* The "Add new user" window. */
  GtkWidget *menu;              /* The mainwindow's popup menu. */
} GUI;

#endif
