/* The LinTalk Project
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <stdio.h>
#include "globals.h"
#include "support.h"
#include "gui_init.h"
#include "gui_other.h"
#include "gui_users.h"
#include "gui_userlist.h"
#include "gui_preferences.h"
#include "callbacks.h"

GUI gui;


/***************************************************************************************
 * STATICS
 ***************************************************************************************/
/***************************************************************************************
 * END STATICS
 ***************************************************************************************/


gboolean init_gui(void)
{
  int i = 0;
  
  /* Init the GUI struct. */
  /* Init the "Talk" widgets. */
  for (i = 0; i < MAXWINDOWS; ++i)
    gui.talk[i] = NULL;
  
  /* Init other widgets. */
  gui.prefcont = NULL;
  if (!(gui.lintalk = create_lintalk())
    || !(gui.preferences = create_preferences())
    || !(gui.newuser = create_newuser())
    || !(gui.menu = create_menu_mainwindow())
    || !(gui.prefcont = create_preferences_content())) {
    fprintf(stderr, "Error: init_gui(): Memory exhausted! (Create widgets)\n");
    return(FALSE);
  }
  
  /* Create the columns inside the mainwindow userlist. */
  userlist_create();
  /* Create the columns inside the "newuser" userlist. */
  newuser_lists_create();
  /* Init the preferences dialog. */
  preferences_init();
  
  /* Add a timeout, to update the userlist (GUI) again. */
  gtk_timeout_add (GUI_UPDATE_INTERVAL, on_sleep_timeout, NULL);

  return(TRUE);
}
