/* The LinTalk Project
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */  
#include <gtk/gtk.h>
#include "groups.h"

#ifndef HAVE_USER_S
#define HAVE_USER_S

enum {
  OFFLINE,
  AVAILABLE,
  INVALID
};


typedef struct {
  char *name;             /* User name. */
  char *phone;            /* Phone number. */
  char *host;             /* Host address. */
  short int status;       /* The user's online status. */
  short int new;          /* Bool: New Buddy? Then we must receive his details. */
  short int forward;      /* Bool: Forward this buddy to our neighbors? */
  short int updategui;    /* Bool: Force GUI update? */
  Group *group;           /* A pointer to the parent group. */
  GList *history;         /* The user's message history. */
  GList *outqueue;        /* The outgoing message queue. */
  GtkWidget *talk;        /* The "Talk" widget. */
} User;

typedef struct Historyentry_s {
  int user;
  char *username;
  char *text;
} Historyentry;
#endif

User *user_create(const gchar * name, const gchar * phone, const gchar * host, const gchar *group);
void user_free(User * user);
void users_free_all(GList * userlist);
User * user_find_from_host(GList * userlist, char *hostname);
int user_status_char_to_int(const char *status);
void user_status_int_to_char(int status, char *statusstring);
